*{
    box-sizing: border-box;
}
html, body{
    margin: 0;
    padding: 0;
}
html{
    height: 100%;
    background: #231212;
}
body{
    background-image: url(img/backgr.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 100%;
    width: 100vw;
    padding: 48px;
    font-family: "Tajawal", sans-serif;
}
h1{
    font-size: 80px;
    line-height: 84px;
    color: #FCFBF7;
    font-weight: 800;
    margin: 0;
}
h2{
    color: #FFF;
    text-shadow: 0px 0px 28px rgba(255, 245, 229, 0.70);
    font-size: 44px;
    font-weight: 900;
    margin: 0;
}
h3{
    color: #FCFBF7;
    text-shadow: 0px 4px 5px rgba(42, 42, 42, 0.80);
    font-size: 34px;
    font-weight: 800;
    margin: 0;
}
h4{
    color: #FFC800;
    font-size: 22px;
    font-weight: 600;
    margin: 0;
}
h5{
    color: #FCFBF7;
    font-size: 14px;
    font-weight: 700;
    line-height: 16px;
    margin: 0;
}
h6{
    color: #FCFBF7;
    font-size: 11px;
    font-weight: 500;
    line-height: 14px;
    margin: 0;
}
p{
    font-size: 16px;
    color: #fffffff2;
    margin: 0;
    font-weight: 700;
}
.pointer-none{
    pointer-events: none;
}
.logo{
    display: block;
    height: 70px;
    width: 142px;
    object-fit: contain;
    object-position: center;
}
.outer{
    display: flex;
    height: 100%;
    width: 100%;
    margin: auto;
    position: relative;
}
.side{
    width: 50%;
    height: 100%;
    position: relative;
}
.hero-content{
    transform: translate(0, -50%);
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 0;
    inset-inline-end: 0;
    width: fit-content;
}
.hero-title{
    padding-block-end: 16px;
    text-transform: uppercase;
}
.wheel{
    transform: translate(0, -50%);
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 0;
    inset-inline-end: 0;
    height: 540px;
    width: 540px;
    overflow: hidden;
    margin: auto;
}
.wheel-inner, .wheel-outer{
    object-fit: contain;
    object-position: center;
    pointer-events: none;
}
.wheel-inner{
    height: 100%;
    width: 100%;
    padding: 40px;
    animation: 2s spinner ease-in-out infinite;
    transition: .25s all;
}
.wheel-inner.first-step{
    transform: rotate(2195deg);
    animation: 2s spinner-first-step ease-in-out;
}
.wheel-inner.after-first-step{
    transform: rotate(2195deg);
    animation: none;
}
.wheel-inner.second-step{
    transform: rotate(4789deg);
    animation: 2.5s spinner-second-step ease-in-out;
}
/* .wheel-inner.after-second-step{
    animation: 2s spinner-after-second-step ease-in-out infinite;
} */
@keyframes spinner {
    0%, 100% {
        transform: rotate(-3deg);
        transform-style: preserve-3d;
    }
    
    50% {
        transform: rotate(3deg);
        transform-style: preserve-3d;
    }
}
@keyframes spinner-first-step {
    0% {
        transform: rotate(0deg);
        transform-style: preserve-3d;
    }
    
    100% {
        transform: rotate(2195deg);
        transform-style: preserve-3d;
    }
}
@keyframes spinner-second-step {
    0% {
        transform: rotate(2195deg);
        transform-style: preserve-3d;
    }
    
    100% {
        transform: rotate(4789deg);
        transform-style: preserve-3d;
    }
}
.wheel-outer{
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    height: 100%;
    width: 100%;
}
.main-btn{
    display: inline-block;
    padding: 15px 25px;
    color: #FFF;
    font-size: 18px;
    font-weight: 800;
    border-radius: 27px;
    border: 1px solid rgba(255, 255, 255, 0.40);
    background: linear-gradient(199deg, #15D6C9 4.83%, #3498FD 94.3%);
    box-shadow: 0px 20px 40px 0px rgba(8, 8, 8, 0.50);
    text-decoration: none;
    transition: .25s;
}
.main-btn.in-wheel{
    transform: translate(50%, -50%);
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 50%;
}
.main-btn:hover{
    box-shadow: 0 12px 20px 0 rgba(52, 152, 253, .3);
}
.note{
    position: absolute;
    inset-inline-start: 0;
    inset-block-end: 16px;
    color: #ffffff66;
    font-size: 11px;
    font-weight: 500;
    line-height: 14px;
    white-space: nowrap;
}
.popup-outer{
    display: none;
    width: 100%;
    max-width: 400px;
    transform: translate(0, -50%);
    position: absolute;
    inset-block-start: 50%;
    inset-inline-start: 0;
    inset-inline-end: 0;
    margin: auto;
    pointer-events: none;
}
.popup-inner{
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.popup{
    height: 355px;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    padding: 20px 12px 20px;
    text-align: center;
    filter: drop-shadow(0px 30px 40px rgba(0, 0, 0, 0.60));
    display: none;
    pointer-events: all;
}
.popup-1{
    background-image: url(img/popup-1.webp);
}
.popup-2{
    background-image: url(img/popup-2.webp);
    padding-block-start: 30px;
}
.popup-head-text{
    position: relative;
}
.popup-2 .popup-head-text::before{
    content: 'تهانينا';
    color: rgba(255, 200, 0, 0.95);
    font-size: 12px;
    font-weight: 800;
    display: block;
    transform: translate(-50%, 0);
    position: absolute;
    inset-block-start: -35%;
    inset-inline-start: 50%;
    text-shadow: none;
}
.popup-title{
    margin-block-start: 110px;
}
.popup-2 .popup-title{
    margin-block-start: 80px;
    font-size: 60px;
    line-height: 1.1;
}
.popup-2 .popup-title::before{
    content: 'بونص كازينو';
    color: rgba(252, 251, 247, 0.95);
    font-size: 16px;
    font-weight: 800;
    display: block;
    opacity: .9;
}
.popup-btn{
    margin: 20px 0 10px;
}
.popup-2 .popup-btn{
    margin: 10px 0;
}
.terms{
    display: block;
    color: #ffffffb3;
    font-size: 11px;
    font-weight: 600;
    line-height: 14px;
    text-decoration: none;
}
.terms:hover{
    text-decoration: underline;
}
.steps-outer{
    display: none;
}
.steps{
    max-width: 100%;
    display: grid;
    grid-template-columns: repeat(3, min-content);
    grid-column-gap: 20px;
    padding-block-start: 20px;
}
.step:first-of-type{
    justify-self: end;
}
.step:last-of-type{
    justify-self: start;
}
.step svg{
    transform: scale(-1, 1);
}
.step-title{
    margin-block-end: 8px;
}
.step-description{
    color: #ffffffb3;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.confetti{
    display: block;
    margin: 0 auto;
    user-select: none;
    pointer-events: none;
    position: absolute;
    inset-block-start: 0;
    inset-inline-start: 0;
    height: 100%;
    width: 100%;
 }

@media screen and (min-width: 1600px) {
    .outer{
        width: 80%;
    }
}

@media screen and (max-width: 1200px) {
    h1{
        font-size: 50px;
        line-height: 54px;
    }
}
@media screen and (max-width: 768px) {
    html{
        background: #341405;
    }
    body{
        padding: 24px 15px 15px;
        background-position: center top;
    }
    h1{
        font-size: 34px;
        line-height: 36px;
    }
    h4{
        font-size: 20px;
    }
    h6{
        font-size: 10px;
    }
    .desktop{
        display: none;
    }
    .outer{
        flex-direction: column;
        align-items: center;
    }
    .side{
        height: auto;
        width: 100%;
    }
    .logo{
        height: 44px;
        width: 90px;
        margin: auto;
    }
    .hero-content{
        width: 100%;
        transform: none;
        position: relative;
        inset-block-start: 0;
        text-align: center;
    }
    .hero-title{
        padding: 35px 0 4px;
        
    }
    .wheel{
        position: relative;
        transform: none;
        inset-block-start: 0;
        width: 100%;
        height: auto;
        margin: 30px auto 0;
    }
    .wheel-inner{
        padding: 25px;
    }
    .main-btn.in-wheel {
        padding: 10px 20px;
        font-size: 16px;
    }
    .note{
        transform: translate(50%, 10px);
        inset-inline-start: 50%;
    }
    .popup-outer{
        position: fixed;
        height: 100%;
        width: 100%;
        max-width: 100%;
        margin: 0;
        background: rgba(28, 30, 39, 0.25);
        backdrop-filter: blur(7px);
        -webkit-backdrop-filter: blur(7px)
    }
    .popup{
        height: auto;
        text-align: center;
        margin-block-start: 25px;
    }
    .popup-1{
        background-image: url(img/popup-1-mob.webp);
    }
    .popup-2{
        background-image: url(img/popup-2-mob.webp);
    }
}
@media screen and (max-width: 475px) {
    body{
        background-image: url(img/backgr-mob.webp);
    }
    .wheel{
        height: 350px;
        width: 350px;
    }
}
@media screen and (max-width: 375px) {
    h1{
        font-size: 28px;
        line-height: 28px;
    }
    h4{
        font-size: 16px;
    }
    .logo{
        height: 38px;
        width: 77px;
    }
    .hero-title{
        padding: 10px 0 4px;
    }
    .wheel{
        height: 300px;
        width: 300px;
        margin: 20px auto 0;
    }
    .main-btn.in-wheel {
        padding: 6px 16px;
        font-size: 14px;
    }
}